Font::TTF::Hdmx(3)

NAME
Font::TTF::Hdmx - Horizontal device metrics

DESCRIPTION
The table consists of an hash of device metric tables indexed by the ppem for that subtable. Each subtable consists of an array of advance widths in pixels for each glyph at that ppem (horizontally).

INSTANCE VARIABLES
Individual metrics are accessed using the following referencing:

    $f->{'hdmx'}{$ppem}[$glyph_num]

In addition there is one instance variable:

Num Number of device tables.

  METHODS

  $t->read
Reads the table into data structures

  $t->out($fh)
Outputs the device metrics for this font

  $t->minsize()
Returns the minimum size this table can be. If it is smaller than this, then the table must be bad and should be deleted or whatever.

  $t->tables_do(&func)
For each subtable it calls &sub($ref, $ppem)

  $t->XML_element($context, $depth, $key, $value)
Outputs device metrics a little more tidily

BUGS
None known

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.